#3901 closed task (fixed)

New template for configuration options with a value

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3836

Description (last modified by Sebastian Huber)

Change the documentation template for configuration options with a value to:

.. _CONFIGURE_XYZ:

CONFIGURE_XYZ
-------------

CONSTANT:
    ``CONFIGURE_XYZ``

OPTION TYPE:
    This configuration option is an integer define.

VALUE CONSTRAINTS:
    The specified value must be greater than or equal to X and less than or
    equal to Y.

DEFAULT VALUE:
    The default value is Z.

DESCRIPTION:
    This configuration option defines the ABC.

NOTES:
    Notes for XYZ.

Use OPTION TYPE instead of DATA TYPE since we have to characterize the option an not just the value of an option. This is in line with #3900.

Use VALUE RANGE instead of RANGE to be more specific.

Change History (3)

comment:1 Changed on Mar 6, 2020 at 3:28:34 PM by Sebastian Huber

Blocking: 3836 added

comment:2 Changed on Mar 27, 2020 at 11:54:18 AM by Sebastian Huber

Description: modified (diff)

comment:3 Changed on Apr 1, 2020 at 7:03:28 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 7bad894/rtems-docs:

c-user: Use new template for integer config opts

Try to bring all descriptions up to date. Add cross-references to
several options. Clarify configuration value constraints.

Use this template also for initializer type options.

Close #3901.

Note: See TracTickets for help on using tickets.